# Contribution Guide


## New Merge Requests

- Your commits must be **Verified**
- Your **Code Coverage** must be **100%**
- Your tests ([*GitLab CI/CD*](https://docs.gitlab.com/ee/ci/)) must be with **Passing** status (**no broken tests!**)
- Your **Coding Style** must be valid [*PSR-2*](https://www.php-fig.org/psr/psr-2/) (*use this:* [*php-cs-fixer config*](https://gitlab.com/snippets/1749141))


## New Issues

There is no special template for creating new issues, but please when create new one describe your issue and provide enough information about it : error logs, screen shots, state what version of the package you are using, what version of laravel (laravel based cms) etc.


## Security Reports

If you discover a security vulnerability within this package, please send an e-mail to Roumen Damianoff via [roumen@laravelium.com](mailto:roumen@laravelium.com). All security vulnerabilities will be promptly addressed.
